- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerCSS Class Reference

The QextScintillaLexerCSS class encapsulates the Scintilla CSS lexer. More...

`#include <qextscintillalexercss.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Tag = 1
- ClassSelector = 2
- PseudoClass = 3
- UnknownPseudoClass = 4
- Operator = 5
- CSS1Property = 6
- UnknownProperty = 7
- Value = 8
- Comment = 9
- IDSelector = 10
- Important = 11
- AtRule = 12
- DoubleQuotedString = 13
- SingleQuotedString = 14
- CSS2Property = 15
- Attribute = 16
- enum {
  Default = 0, Tag = 1, ClassSelector = 2,
  PseudoClass = 3, UnknownPseudoClass = 4, Operator = 5,
  CSS1Property = 6, UnknownProperty = 7, Value = 8,
  Comment = 9, IDSelector = 10, Important = 11,
  AtRule = 12, DoubleQuotedString = 13, SingleQuotedString = 14,
  CSS2Property = 15, Attribute = 16
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QextScintillaLexerCSS (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerCSS ()
- const char * language () const
- const char * lexer () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * wordCharacters () const
- TQColor color (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The QextScintillaLexerCSS class encapsulates the Scintilla CSS lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the CSS lexer.

Enumerator:

  Default | The default.
  Tag | A tag.
  ClassSelector | A class selector.
  PseudoClass | A pseudo-class.
  UnknownPseudoClass | An pseudo-class.
  Operator | An operator.
  CSS1Property | A CSS1 property.
  UnknownProperty | An unknown property.
  Value | A value.
  Comment | A comment.
  IDSelector | An ID selector.
  Important | An important value.
  AtRule | An @-rule.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  CSS2Property | A CSS2 property.
  Attribute | An attribute.

## Constructor & Destructor Documentation

QextScintillaLexerCSS::QextScintillaLexerCSS | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerCSS with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerCSS::~QextScintillaLexerCSS | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerCSS instance.

## Member Function Documentation

const char* QextScintillaLexerCSS::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerCSS::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerCSS::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerCSS::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerCSS::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerCSS::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

void QextScintillaLexerCSS::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerCSS::foldComments | ( |  | ) | const

Returns TRUE if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QextScintillaLexerCSS::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QextScintillaLexerCSS::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then multi-line comment blocks can be folded. The default is FALSE.

See also:
  foldComments()

virtual void QextScintillaLexerCSS::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool QextScintillaLexerCSS::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerCSS::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.